Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class OlapDataSourceAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.OlapDataSourceAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class OlapDataSourceAction

extends org.springframework.webflow.action.FormAction

OlapDataSourceAction provides the actions for the olap data source web flow

Author:
  jshih

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`OlapDataSourceAction()` initialize OlapDataSourceAction.class object

Method Summary
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)` createFormObject loads the form object
`static java.lang.String` | `getDATASOURCEURI_PARAM()` getDATASOURCEURI_PARAM
`static java.lang.String` | `getFORM_OBJECT_KEY()` getFORM_OBJECT_KEY
`OlapConnectionService` | `getOlapConnection()` method to get the olap connection service object
`RepositoryService` | `getRepository()` getRepository returns repository service property
`org.springframework.webflow.execution.Event` | `handleTypeSelection(org.springframework.webflow.execution.RequestContext context)` handleTypeSelection handles data source type selection
`org.springframework.webflow.execution.Event` | `initAction(org.springframework.webflow.execution.RequestContext context)` initAction performs the initialization for the olap data source web flow
`org.springframework.webflow.execution.Event` | `saveDatasource(org.springframework.webflow.execution.RequestContext context)` saveDatasource stores the selected data source
`org.springframework.webflow.execution.Event` | `saveLookup(org.springframework.webflow.execution.RequestContext context)` saveLookup catptures the data source selected
`void` | `setOlapConnection(OlapConnectionService olapConnection)` method to set the olap connection service object
`void` | `setRepository(RepositoryService repository)` setRepository sets repository service property

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### OlapDataSourceAction

    public OlapDataSourceAction()

  initialize OlapDataSourceAction.class object

Method Detail

### initAction

    public org.springframework.webflow.execution.Event initAction(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  initAction performs the initialization for the olap data source web flow

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### handleTypeSelection

    public org.springframework.webflow.execution.Event handleTypeSelection(org.springframework.webflow.execution.RequestContext context)
                                                                    throws java.lang.Exception

  handleTypeSelection handles data source type selection

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveLookup

    public org.springframework.webflow.execution.Event saveLookup(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  saveLookup catptures the data source selected

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveDatasource

    public org.springframework.webflow.execution.Event saveDatasource(org.springframework.webflow.execution.RequestContext context)
                                                               throws java.lang.Exception

  saveDatasource stores the selected data source

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  createFormObject loads the form object

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`
  Parameters:
    `context` -

### getRepository

    public RepositoryService getRepository()

  getRepository returns repository service property

  Returns:

### setRepository

    public void setRepository(RepositoryService repository)

  setRepository sets repository service property

  Parameters:
    `repository` -

### getOlapConnection

    public OlapConnectionService getOlapConnection()

  method to get the olap connection service object

  Returns:

### setOlapConnection

    public void setOlapConnection(OlapConnectionService olapConnection)

  method to set the olap connection service object

  Parameters:
    `olapConnection` -

### getDATASOURCEURI_PARAM

    public static java.lang.String getDATASOURCEURI_PARAM()

  getDATASOURCEURI_PARAM

  Returns:

### getFORM_OBJECT_KEY

    public static java.lang.String getFORM_OBJECT_KEY()

  getFORM_OBJECT_KEY

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.